%{?mingw_package_header}

Name:           mingw-dbus
Version:        1.16.0
Release:        %mkrel 1
Summary:        MinGW Windows port of D-Bus

# The effective license of the majority of the package, including the shared
# library, is "GPL-2+ or AFL-2.1". Certain utilities are "GPL-2+" only.
License:        (AFL-2.1 OR GPL-2.0-or-later) AND GPL-2.0-or-later
Group:          Development/Other
URL:            https://www.freedesktop.org/wiki/Software/dbus
Source0:        https://dbus.freedesktop.org/releases/dbus/dbus-%{version}.tar.xz

# Restore support for static libs
Patch0:         dbus-static-libs.patch

BuildArch:      noarch

BuildRequires:  cmake

BuildRequires:  mingw32-filesystem
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-glib2
BuildRequires:  mingw32-expat

BuildRequires:  mingw64-filesystem
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-glib2
BuildRequires:  mingw64-expat


%description
D-BUS is a system for sending messages between applications. It is
used both for the system wide message bus service, and as a
per-user-login-session messaging facility.


# Win32
%package -n mingw32-dbus
Summary:        MinGW Windows port of D-Bus
Requires:       pkgconfig

%description -n mingw32-dbus
D-BUS is a system for sending messages between applications. It is
used both for the system wide message bus service, and as a
per-user-login-session messaging facility.


%package -n mingw32-dbus-static
Summary:        Static version of MinGW Windows port of DBus library
Requires:       mingw32-dbus = %{version}-%{release}
Group:          Development/Other

%description -n mingw32-dbus-static
D-BUS is a system for sending messages between applications. It is
used both for the system wide message bus service, and as a
per-user-login-session messaging facility.

Static version of MinGW Windows port of DBus library


# Win64
%package -n mingw64-dbus
Summary:        MinGW Windows port of D-Bus
Requires:       pkgconfig

%description -n mingw64-dbus
D-BUS is a system for sending messages between applications. It is
used both for the system wide message bus service, and as a
per-user-login-session messaging facility.


%package -n mingw64-dbus-static
Summary:        Static version of MinGW Windows port of DBus library
Requires:       mingw64-dbus = %{version}-%{release}
Group:          Development/Other

%description -n mingw64-dbus-static
D-BUS is a system for sending messages between applications. It is
used both for the system wide message bus service, and as a
per-user-login-session messaging facility.

Static version of MinGW Windows port of DBus library


%{?mingw_debug_package}


%prep
%autosetup -p1 -n dbus-%{version}


%build
MINGW_BUILDDIR_SUFFIX=static %mingw_cmake -DDBUS_ENABLE_DOXYGEN_DOCS=OFF -DENABLE_QT_HELP=OFF -DBUILD_SHARED_LIBS=OFF
MINGW_BUILDDIR_SUFFIX=static %mingw_make_build

MINGW_BUILDDIR_SUFFIX=shared %mingw_cmake -DDBUS_ENABLE_DOXYGEN_DOCS=OFF -DENABLE_QT_HELP=OFF
MINGW_BUILDDIR_SUFFIX=shared %mingw_make_build

%install
MINGW_BUILDDIR_SUFFIX=static %mingw_make_install
MINGW_BUILDDIR_SUFFIX=shared %mingw_make_install

# Remove manpages because they duplicate what's in the
# Fedora native package already.
rm -rf %{buildroot}%{mingw32_datadir}/doc
rm -rf %{buildroot}%{mingw64_datadir}/doc
rm -rf %{buildroot}%{mingw32_datadir}/xml
rm -rf %{buildroot}%{mingw64_datadir}/xml


# Win32
%files -n mingw32-dbus
%license COPYING
%{mingw32_bindir}/dbus-daemon.exe
%{mingw32_bindir}/dbus-env.bat
%{mingw32_bindir}/dbus-launch.exe
%{mingw32_bindir}/dbus-monitor.exe
%{mingw32_bindir}/dbus-run-session.exe
%{mingw32_bindir}/dbus-send.exe
%{mingw32_bindir}/dbus-test-tool.exe
%{mingw32_bindir}/dbus-update-activation-environment.exe
%{mingw32_bindir}/libdbus-1-3.dll
%{mingw32_libdir}/dbus-1.0/
%{mingw32_libdir}/libdbus-1.dll.a
%{mingw32_libdir}/cmake/DBus1/
%{mingw32_libdir}/pkgconfig/dbus-1.pc
%{mingw32_sysconfdir}/dbus-1/
%{mingw32_includedir}/dbus-1.0/
%{mingw32_datadir}/dbus-1/

%files -n mingw32-dbus-static
%{mingw32_libdir}/libdbus-1.a

# Win64
%files -n mingw64-dbus
%license COPYING
%{mingw64_bindir}/dbus-daemon.exe
%{mingw64_bindir}/dbus-env.bat
%{mingw64_bindir}/dbus-launch.exe
%{mingw64_bindir}/dbus-monitor.exe
%{mingw64_bindir}/dbus-run-session.exe
%{mingw64_bindir}/dbus-send.exe
%{mingw64_bindir}/dbus-test-tool.exe
%{mingw64_bindir}/dbus-update-activation-environment.exe
%{mingw64_bindir}/libdbus-1-3.dll
%{mingw64_libdir}/dbus-1.0/
%{mingw64_libdir}/libdbus-1.dll.a
%{mingw64_libdir}/cmake/DBus1/
%{mingw64_libdir}/pkgconfig/dbus-1.pc
%{mingw64_sysconfdir}/dbus-1/
%{mingw64_includedir}/dbus-1.0/
%{mingw64_datadir}/dbus-1/

%files -n mingw64-dbus-static
%{mingw64_libdir}/libdbus-1.a




%changelog
* Sun Dec 29 2024 daviddavid <daviddavid> 1.16.0-1.mga10
+ Revision: 2131236
- new version: 1.16.0

* Fri Oct 13 2023 daviddavid <daviddavid> 1.14.10-1.mga10
+ Revision: 1995561
- new version: 1.4.10

* Thu Feb 16 2023 daviddavid <daviddavid> 1.14.6-1.mga9
+ Revision: 1942960
- new version: 1.14.6

* Sun Dec 11 2022 daviddavid <daviddavid> 1.14.4-1.mga9
+ Revision: 1920718
- new version: 1.14.4
- switch to cmake

* Fri Mar 25 2022 umeabot <umeabot> 1.8.16-5.mga9
+ Revision: 1826881
- Mageia 9 Mass Rebuild

* Sat Sep 26 2020 tv <tv> 1.8.16-4.mga8
+ Revision: 1630230
- rebuild for new mingw stack

* Wed Feb 12 2020 umeabot <umeabot> 1.8.16-3.mga8
+ Revision: 1492003
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.8.16-2.mga7
+ Revision: 1264269
- Mageia 7 Mass Rebuild

* Thu Apr 07 2016 tv <tv> 1.8.16-1.mga6
+ Revision: 999148
- new release

* Thu Feb 04 2016 umeabot <umeabot> 1.6.12-4.mga6
+ Revision: 935227
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.12-3.mga5
+ Revision: 743928
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.12-2.mga5
+ Revision: 682421
- Mageia 5 Mass Rebuild

* Fri Oct 25 2013 neoclust <neoclust> 1.6.12-1.mga4
+ Revision: 546959
- imported package mingw-dbus


* Tue Sep 03 2013 Ivan Romanov <drizt@land.ru> - 1.6.12-1
- A new upstream version

* Thu Aug 29 2013 Ivan Romanov <drizt@land.ru> - 1.6.8-4
- Added patch to rename interface argument name (RHBZ #980278)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Nov 21 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.6.8-1
- Update to 1.6.8

* Sun Sep 23 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.6.4-1
- Update to 1.6.4
- Fixes compatibility issue with c++11 support

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Mar 10 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.4.16-1
- Update to 1.4.16
- Added win64 support
- Link against libxml2 instead of expat
- Dropped upstreamed patches

* Fri Mar 09 2012 Kalev Lember <kalevlember@gmail.com> - 1.4.6-5
- Remove .la files

* Wed Mar 07 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.4.6-4
- Renamed the source package to mingw-dbus (RHBZ #800858)
- Use mingw macros without leading underscore
- Dropped unneeded RPM tags

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.4.6-3
- Rebuild against the mingw-w64 toolchain
- Added patch to prevent redeclaration of the symbol ELEMENT_TYPE

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Mar 28 2011 Ivan Romanov <drizt@land.ru> - 1.4.6-1
- New upstream version
- Removed clean stage
- Added dbus-1.4.6-path-is-absolute.patch patch

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-0.2.20101008git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct 8 2010 Ivan Romanov <drizt@land.ru> - 1.4.1-0.1.20101008git
- Updated to 1.4.1 version from git
- windbus is now part of freedesktop dbus
- Removed mingw32-dbus-c++ package (c++ bindings it's not part of dbus)
- Removed mingw32-dbus-1.2.4-20081031-mingw32.patch
- Removed unusual dependencies
- Removed init.d script
- Changed define tags on the top to global tags
- Added static subpackage with static library
- Added debuginfo

* Fri Feb 6 2009 Richard W.M. Jones <rjones@redhat.com> - 1.2.4-0.3.20081031svn
- Include license.

* Tue Jan 13 2009 Richard W.M. Jones <rjones@redhat.com> - 1.2.4-0.2.20081031svn
- Requires pkgconfig.

* Mon Nov 3 2008 Richard W.M. Jones <rjones@redhat.com> - 1.2.4-0.1.20081031svn
- Initial RPM release.
